Bug 122912 - pre-definition of local_delivery using Cyrus-IMAPd
pre-definition of local_delivery using Cyrus-IMAPd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-10 08:36 EDT by Alexander Dalloz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-02 10:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Dalloz 2004-05-10 08:36:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.4.1)
Gecko/20031114

Description of problem:
The Exim package has just a definition of local_delivery in form of

# This transport is used for local delivery to user mailboxes in
traditional
# BSD mailbox format."

It would be useful for users intending to run Exim with Cyrus-IMAPd to
find at least as a pre-defined comment the usage of the lmtp socket, like:

local_delivery:
  driver = smtp
  protocol = lmtp
  hosts = localhost
  allow_localhost

or:

local_delivery:
  driver = lmtp
  command = "/usr/lib/cyrus-imapd/deliver -l"
  batch_max = 20
  user = cyrus


Version-Release number of selected component (if applicable):
exim-4.33-2

How reproducible:
Always

Steps to Reproduce:
1. installation of Exim
2. checking etc/exim/exim.conf
    

Additional info:

See
http://asg.web.cmu.edu/cyrus/download/imapd/install-configure.html#mta
--> Configuring Exim 4
Comment 1 Need Real Name 2004-05-10 10:15:51 EDT
It is trivial :)

lmtpsock:
  driver = lmtp
  socket = /var/lib/imap/socket/lmtp
  batch_max = 1000
  user = cyrus
Comment 2 Gerald Cox 2004-06-29 15:37:55 EDT
Thanks to all for entering this bug report.  Is the comment above
regarding the lmtpsock: entries for exim.conf in addition to or an
alternate method for the information above.  I agree with Alexander
that documented samples need to be added to the distribution so this
works out of the box.
Comment 3 Thomas Woerner 2004-07-02 10:23:46 EDT
Fixed in rawhide in package exim-4.34-3 or newer.

Note You need to log in before you can comment on or make changes to this bug.